com.qualcomm.robotcore.hardware

## Enum MotorControlAlgorithm

- java.lang.Object
- - java.lang.Enum<MotorControlAlgorithm>
  - - com.qualcomm.robotcore.hardware.MotorControlAlgorithm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MotorControlAlgorithm>

      public enum MotorControlAlgorithm
      extends java.lang.Enum<MotorControlAlgorithm>

  indicates the control algorithm variant to use with `DcMotor.RunMode.RUN_TO_POSITION` and `DcMotor.RunMode.RUN_USING_ENCODER`.
  See Also:
    `DcMotorEx.setPIDFCoefficients(DcMotor.RunMode, PIDFCoefficients)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LegacyPID` Deprecated. Switch to `PIDF` instead
    `PIDF`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MotorControlAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MotorControlAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final MotorControlAlgorithm Unknown

    - #### LegacyPID

          @Deprecated
          public static final MotorControlAlgorithm LegacyPID

      Deprecated. Switch to `PIDF` instead

    - #### PIDF

          public static final MotorControlAlgorithm PIDF

  - ### Method Detail

    - #### values

          public static MotorControlAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MotorControlAlgorithm c : MotorControlAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MotorControlAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null